const { build } = require('vite')

async function main() {
  await build({
    configFile: 'vite.config.ts',
    build: {
      outDir: 'dist'
    }
  })

  require('esbuild').buildSync({
    entryPoints: ['electron/main.ts'],
    bundle: true,
    platform: 'node',
    outfile: 'dist-electron/main.js',
    external: ['electron']
  })
}

main()