//electron\preload.ts
import { contextBridge, ipcRenderer } from 'electron';

contextBridge.exposeInMainWorld('electronAPI', {
  getWeather: (params: { lon: number; lat: number }) => 
    ipcRenderer.invoke('get-weather', params),
  getNews: () => ipcRenderer.invoke('get-news')
});